
QGIS Application - Bug report #6594

curved placement label not fulling circular line 

2012-11-01 01:41 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15785

Description

I just noticed the labelling engine is misplacing a label (i.e. not following line) when using the curved placement alongside a circular line.

See attached screenshot.

To reproduce:

1. In a new project, load the attached shapefile

2. Enable labelling with this conditional query "highway" IN ('primary', 'secondary', 'tertiary') *

3. Set project's projection to EPSG:3148 (UTM Indian 1960 48N)

4. Set scale to 1:15108

5. Zoom in the region shown in the screenshot.

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

OSM_PhnomPenh_roads_Nov012012.zip 1.41 MB 2012-11-01 Mathieu Pellerin - nIRV

wrong-curved-placement.jpg 139 KB 2012-11-01 Mathieu Pellerin - nIRV
